android – Gradle: Un problema che si è verificato la configurazione principale del progetto android studio

Ho migrato da eclipse per android studio. Ho creato un nuovo progetto e mi desidera eseguire su genymotion. Quando premo esegui icona, comincia a compilare e mi danno questo errore :

Error:Gradle: A problem occurred configuring root project 'Khabar'.
> Could not resolve all dependencies for configuration ':classpath'.
   > Could not resolve com.android.tools.build:gradle:1.1.0.
     Required by:
         :Khabardar:unspecified
      > Could not GET 'https://jcenter.bintray.com/com/android/tools/build/gradle/1.1.0/gradle-1.1.0.pom'.
         > d29vzk4ow07wi7.cloudfront.net

Questo è alcuni pezzi della mia generazione.gradle :

    apply plugin: 'com.android.application'

android {
    compileSdkVersion 20
    buildToolsVersion "20.0.0"

    defaultConfig {
        applicationId "example.ir.khabar"
        minSdkVersion 8
        targetSdkVersion 20
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

costruire.gradle in radice :

    apply plugin: 'com.android.application'

android {
    compileSdkVersion 20
    buildToolsVersion "20.0.0"

    defaultConfig {
        applicationId "example.ir.khabar"
        minSdkVersion 8
        targetSdkVersion 20
        versionCode 1
        versionName "1.0"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }
}

dependencies {
    compile fileTree(dir: 'libs', include: ['*.jar'])
    compile 'com.android.support:appcompat-v7:20.0.0'
    compile files('libs/universal-image-loader-1.8.4-with-sources.jar')
}

Mi può aiutare? il mio gradle versione è gradle-2.2.1-tutti

  • Post build.gradle nella cartella principale.
  • grazie per la risposta ,vorrei modificare la mia risposta e aggiungere costruire.gradle nella cartella principale
  • che cosa hai “buildscript” sezione?
  • siete sicuri circa il vostro file nella cartella principale?
  • qualsiasi aggiornamento ragazzi?

 

4 Replies
  1. 15

    Per me, la soluzione è aggiungere l’url http per jcenter, invece di https:

    buildscript {
        repositories {
            jcenter {
                url "http://jcenter.bintray.com/"
            }
        }
        dependencies {
            classpath 'com.android.tools.build:gradle:1.1.0'
    
            //NOTE: Do not place your application dependencies here; they belong
            //in the individual module build.gradle files
        }
    }
    • Questo ha funzionato per me..
    • Dove devo aggiungere che ? il file build.gradle nel mio progetto ?
    • Il mio è in Progetto di costruire.gradle file.
    • Pertinenti a leggere
  2. 1

    Oltre a Al di risposta, anche io ho dovuto mettere l’url all’interno di allprojects:

    allprojects {
        repositories {
            jcenter {
                url "http://jcenter.bintray.com/"
            }
        }
    }
  3. 0

    Ho avuto lo stesso problema su Ubuntu Mate 18.04. Sono stato in grado di risolvere il problema sostituendo ibm-java80-jdk & ibm-java80-jre con openjdk. Inoltre, ho fatto aggiornare il mio DNS DNS cloudflare. Ma non credo che avesse qualcosa a che fare con la correzione.

  4. 0

    aggiungere google() nella gradle all’interno della repository di sezione per risolvere il problema..

    buildscript {
        repositories {
            jcenter()
            google()
        }
        dependencies {
            classpath 'com.android.tools.build:gradle:3.0.0'
    
        }
    }
    
    allprojects {
        repositories {
            jcenter()
        }
    }

Lascia un commento